%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           sugar-speak
Version:        54
Release:        1%{?dist}
Summary:        Speak for Sugar

Group:          Sugar/Activities
License:        GPLv2+ and GPLv3+
URL:            http://wiki.laptop.org/go/Speak
Source0:        https://github.com/sugarlabs/speak/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  gettext
BuildRequires:  sugar-toolkit-gtk3
Requires:       sugar >= 0.97.0
Requires:       sugar-toolkit
Requires:       numpy
Requires:       espeak
Requires:       gstreamer-python

%description
Speak is a talking face for the XO laptop. Anything you type will be spoken
aloud using the XO's speech synthesizer, espeak. You can adjust the accent,
rate and pitch of the voice as well as the shape of the eyes and mouth. This
is a great way to experiment with the speech synthesizer, learn to type or 
just have fun making a funny face for your XO.  

%prep
%autosetup -n speak-%{version}

%build
python ./setup.py build

%install
python ./setup.py install --prefix=%{buildroot}%{_prefix}
rm %{buildroot}%{_prefix}/share/applications/*.desktop || true
find  %{buildroot}%{sugaractivitydir}Speak.activity/activity.py  -type f -name \* -exec chmod 644 {} \;
%find_lang vu.lux.olpc.Speak

%files -f vu.lux.olpc.Speak.lang
%doc NEWS COPYING
%{sugaractivitydir}/Speak.activity/

%changelog
* Tue Jun 20 2017 Kalpa Welivitigoda <callkalpa@gmail.com> - 54-1
- New 54 release

* Sat Apr 22 2017 Kalpa Welivitigoda <callkalpa@gmail.com> - 52-1
- New 52 release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 51-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 51-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Peter Robinson <pbrobinson@fedoraproject.org> 51-1
- New 51 release

* Wed Apr 15 2015 Peter Robinson <pbrobinson@fedoraproject.org> 50-1
- New 50 release

* Fri Mar  6 2015 Peter Robinson <pbrobinson@fedoraproject.org> 49-2
- Add Requires sugar-toolkit

* Wed Dec 24 2014 Peter Robinson <pbrobinson@fedoraproject.org> 49-1
- New 49 release

* Tue Nov 25 2014 Peter Robinson <pbrobinson@fedoraproject.org> 48-2
- Fix replying to questions

* Wed Jul 30 2014 Peter Robinson <pbrobinson@fedoraproject.org> 48-1
- New 48 release

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 47-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 17 2013 Peter Robinson <pbrobinson@fedoraproject.org>
- Add gstreamer-python runtime dependency

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 47-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Peter Robinson <pbrobinson@fedoraproject.org> 47-1
- New 47 release

* Mon May 20 2013 Peter Robinson <pbrobinson@fedoraproject.org> 46-1
- New 46 release

* Tue Mar  5 2013 Peter Robinson <pbrobinson@fedoraproject.org> 45-1
- New 45 release

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov  8 2012 Peter Robinson <pbrobinson@fedoraproject.org> 44-1
- New 44 release
